#include <sPingSR04.h>

const uint8_t trigPin = 4, echoPin = 5;
const double divisor = 59.4;  // divisor: +/- 60 = cm, +/- 150 = inch 
int16_t result[2];

void setup(){
  Serial.begin(115200);
  Serial.println("\n...\n");
  pingInit(trigPin, echoPin, divisor);
}

void loop(){
  doPing(result);
  Serial.printf("duration: %d, distance: %d\n", result[0], result[1]);
  delay(500);
}
