/** sSolarMeteo - leest "actueel" en de weersverwachtingen per uur "vandaag vanaf nu" en "morgen". 
  * Ewald Kendziorra sr, www.kendziorra.nl, 2023
  * totally free to use and modify, no support
  **/
/** ######################################################################## *
  * ##### EERST TE DOEN:                                               ##### *
  * #####  importeer mijn "simpleLib" library http://www.kendziorra.nl ##### *
  * ######################################################################## **/

/** 
    Registreer/Login hier https://meteoserver.nl/index.php en ga naar "ZON ACTUEEL"
    lees: Endpoint en download de PDF
    Maar LET OP:
         VINK "Activeer deze API" NIET AAN !!!
         ====  =================  ========
         KLIK NIET OP: "ACTIVEREN EN BETALEN" !!!
         ============   ====================
    Gebruik het om je airco aan automatisch aan te sturen (voorbeelden: http://www.kendziorra.nl/arduino-and-esp)
    Gebruik het om het eigengebruik van je zonnepanelen te verhogen (voorbeelden: http://www.kendziorra.nl/arduino-and-esp)
    Als je de diverse datum-, tijd- en zon-mogenlijkheden uit mijn "simpleLib" gebruikt dan kun je volstaan met één meteo-aanvraag/dag.
    Het max. totaal aan gratis meteoaanvragen is 500/mnd.
  **/

// Als je per volle volgende dag "gr_w" bij elkaar opteld en je vermenigvuldigd dat met het totale netto oppervlak van je zonnepanelen
//   dan heb je de verwachting van de bruto directe- en indirecte-stralingsintensiteit voor de komende dag. Dit kan je dan gebruiken
//   om je eigengebruik op te schroeven (doe we de was morgen of wachten we nog even? of ... zie mijn energie projecten).
// Laat daar dan de factor voor TILT, Paneelrendement en maandelijkse schaduwverlizen op los en je hebt een schatting van je dagopbrengst in kWh.
// In een artikel op mijn site laak ik je zien hoe je het rendament/maand van je panelen kunt bepalen. Je moet daarvoor wel eerst de werkelijke
//   maandelijkse opbrengst van je panelen weten: minimaal dec t/m jun of jul t/m dec of 12 opeenvolgende maanden uit twee jaren.
  
/** van KNMI meteoserver.nl **/
// ##### alleen geldig bij dagelijks opvragen #####
// ##### gegevens als String per heel uur in vandaag[00 t/m 23], morgen[00 t/m 23];
// ##### vandaag[]: vanaf uur opvraagtijd t/m 23:00 (per heel uur)
// ##### morgen[]:  vanaf 00:00 t/m 23:00 (per heel uur)
// ##### dus, idien nodig, zelf Strin-gegevens omzetten naar data-type (volgens onderstaande lijst)
//          'elev' en 'az'? Je kan hiervoor natuurlijk ook mijn simpleLib gebruiken (is reeds met "define USE_TIME" geladen)
//   float    elev;  // elev hoek van zon t.o.v. horizon (op het hele meetuur)
//   float    az;    // az azimuth zon (meetuur)
//   float    temp;  // temp temperatuur in graden Celsius
//          bij globale stralingsintensiteit 'gr_w' en 'gr' is reeds rekening gehouden met de stand van de zon op moment van ophhalen
//   uint16_t gr_w;  // gr_w globale stralingsintensiteit (zon) in Watt per m/2 (zie mijn artikel hoe dit bij airco en/of zonnepanelen is te benutten)
//   uint16_t gr  ;  // gr globale stralingsintensiteit (zon), Joules per cm/2  (zelf omrekenen naar Watt/m2 van dagtotaal is nauwkeuriger)
//   uint16_t sd;    // sd duur van zonneschijn in minuten
//   uint8_t  tc;    // tc totale wolkenbedekking (percentage)
//   uint8_t  lc;    // lc lage bewolking bedekkingspercentage
//   uint8_t  mc;    // mc middelbare bewolking bedekkingspercentage
//   uint8_t  hc;    // hc hoge bewolking bedekkingspercentage
//   uint16_t vis;   // vis zicht in meters (25000 is meer dan 25 km)
//   float    prec;  // prec som van de gemiddelde neerslagintensiteit in mm/h
/***************/

/* een beetje uitleg:
zie TIP)    startTijd:  opgehaald om JJJJMMDDhhmmss UNIX timestamp (gebruik mijn simpleLib-sDateTimeSun.h)
                        om deze tijd (vol uur in lijst) staan de actuele weer gegevens van de laaste 10 minuten op jouw lokatiemeetpunt
                  Dus on 12:35 gegevens van server gehaald dan staan die in de lijst: vandaag[12][elev t/m prec]
zie TIP)    zonOpOn[0]: zonsopgang    - in sec. v/a 00:00 uur (alleen de dag van gegevens ophalen) ...
zie TIP)    zonOpOn[1]: zonsondergang - ... hh:mm: hour(zonOpOn[0/1]), minute(zonOpOn[0/1])

  TIP:          Je kan hiervoor natuurlijk ook mijn simpleLib gebruiken (is reeds met "define USE_TIME" geladen)
                naast vele datum en tijd functie's, in milieseconden, o.a. het volgende
                  struct sRiseSet {    // output: SunRise and SunSet local or UTC
                    time_t rise,       // SunRise local or UTC
                           set;        // SunSet  local or UTC
                  };
                  struct sEquiSol {    // output: Equinox and Solstice (as UTC/GMT time)
                    sEpoch spring,     // Equinox,  March
                           summer,     // Solstice, June
                           autumn,     // Equinox,  September
                           winter;     // Solstice, December
                  };
                  struct sSolPosOut {  // output: True North location of the Sun in the sky
                    double azimuth,    // the angle of the sun around the horizon, usually measured from true north and increasing eastward
                           altitude;   // the angle between the sun and the observer's local horizon
                  };
*/
