#include <sTransmit433.h>

const uint8_t vccPin = 12, tPin = 13,
              // ESP32 (2, 140) the correct values? you should try 
              tRep = 2,    //   repeats (2-4)
              tPer = 140;  //   period uSec (120-500)       
uint32_t t = 0;
char c[128];
const char m1[] = "Send and Receive text with 433 MHz radio\n",
           m2[] = "Using simpleTramsmit433 and simpleReceve433\n\n";

void setup() {
  Serial.begin(115200);
  Serial.println("\n...\n");
  txInit(vccPin, tPin, tRep, tPer);  // vcc-pin, tx-pin, repeats (2-4), period uSec (120-500) 
  Serial.println("== 433MHz transmitter ==\n");
}

void loop(){
  if (t < millis()) {
    strcpy(c, m1);
    txSend(c);
    Serial.printf("send: %s", c);
    strcpy(c, m2);
    txSend(c);
    Serial.printf("send: %s", c);
    t = millis() + 1000;
  }
  yield();
}