#include <sLuxBH1750.h>

uint8_t sdaPin = 21,  // SDA
        sclPin = 22;  // SCL

void setup() {
  Serial.begin(115200);
  Serial.setDebugOutput(true); 
  Serial.println('\n');
  Wire.begin(sdaPin, sclPin);
  sLuxInit(); //0x23);  // 0x23 - BH1750 i2c address
}

void loop() {
  uint32_t l = sGetLux();    // if value 999999: lux is not read
  Serial.printf("\nLux: %u\n\n", l);
  delay(2000);
}
