
// first take a look in this 'sThermistor.ino' project folder

#define PRINT_RESISTANCE  //##### uncomment this to get the resistance at a given temperature #####

// here we use the NTC 3950 resistances (data sheet in this project folder) 
const int8_t   ntcT[3] = {    5,    25,   45};  // NTC 3950 temperatures on ...  (use water, a thermometer and use the ...         )
const uint32_t ntcR[3] = {25570, 10000, 4340},  // ... NTC 3950 list resistances (... (data sheet values)) ...
               serR    =  9985;                 // ... the 10KOhm resistor       (before soldering, use a multi meter)
float calibr = 1.0;  // calibrate temp factor, 1.0: no correction, >1.0: + temp, <1.0: - temp
const uint8_t tempPin = 32;              
#include <sThermistor.h>

void setup() {
  Serial.begin(115200);
  delay(2000);
  Serial.println('\n');
}

void loop() {
//  float tmp = getTemp(false);  // fals: use this for measurements with a longer time interval (>30 sec.) 
  #ifdef PRINT_RESISTANCE
    float tmp = getTemp();  // default true: the average with the previous measurement
    Serial.printf(", temp: %2.1f*C\n", tmp);
    delay(2000);
  #endif

  // your own code here
}