#define _SOLARMETEO_H_
#ifdef _SOLARMETEO_H_
  #include <HTTPClient.h>   // we moeten (dagelijks?) gegevens van een server halen (bij mij alleen voor airco zon-stroom-overschot)

  #ifdef USE_TEST_STRING  
    String
      testMETEO = "{\"plaatsnaam\":[{\"plaats\":\"0\"}],\"current\":[{\"station\":\"LELYSTAD AP\",\"time\":\"1672063084\",\"cet\":\"26-12-2022 14:58\",\"elev\":\"2.54\",\"az\":\"224.80\",\"temp\":\"6.8\",\"gr_w\":\"108\",\"gr\":\"39\",\"sd\":\"10\",\"tc\":\"25\",\"vis\":\"39400\",\"prec\":\"0\",\"sr\":\"08:45\",\"ss\":\"16:31\"}],\"forecast\":[{\"time\":\"1672063200\",\"cet\":\"26-12-2022 15:00\",\"elev\":\"2.32\",\"az\":\"225.20\",\"temp\":\"6\",\"gr_w\":\"48\",\"gr\":\"17\",\"sd\":\"24\",\"tc\":\"73\",\"lc\":\"5\",\"mc\":\"73\",\"hc\":\"0\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672066800\",\"cet\":\"26-12-2022 16:00\",\"elev\":\"-4.77\",\"az\":\"237.00\",\"temp\":\"5\",\"gr_w\":\"38\",\"gr\":\"14\",\"sd\":\"0\",\"tc\":\"5\",\"lc\":\"5\",\"mc\":\"0\",\"hc\":\"0\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672070400\",\"cet\":\"26-12-2022 17:00\",\"elev\":\"-12.86\",\"az\":\"248.28\",\"temp\":\"5\",\"gr_w\":\"32\",\"gr\":\"12\",\"sd\":\"0\",\"tc\":\"5\",\"lc\":\"5\",\"mc\":\"0\",\"hc\":\"0\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672074000\",\"cet\":\"26-12-2022 18:00\",\"elev\":\"-21.61\",\"az\":\"259.41\",\"temp\":\"5\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"6\",\"lc\":\"6\",\"mc\":\"0\",\"hc\":\"0\",\"vis\":\"23680\",\"prec\":\"0.1\"},{\"time\":\"1672077600\",\"cet\":\"26-12-2022 19:00\",\"elev\":\"-30.69\",\"az\":\"270.96\",\"temp\":\"5\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"27\",\"lc\":\"27\",\"mc\":\"0\",\"hc\":\"0\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672081200\",\"cet\":\"26-12-2022 20:00\",\"elev\":\"-39.73\",\"az\":\"283.71\",\"temp\":\"5\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"5\",\"lc\":\"5\",\"mc\":\"0\",\"hc\":\"0\",\"vis\":\"25000\",\"prec\":\"0.1\"},{\"time\":\"1672084800\",\"cet\":\"26-12-2022 21:00\",\"elev\":\"-48.22\",\"az\":\"298.83\",\"temp\":\"5\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"5\",\"lc\":\"5\",\"mc\":\"0\",\"hc\":\"0\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672088400\",\"cet\":\"26-12-2022 22:00\",\"elev\":\"-55.38\",\"az\":\"317.96\",\"temp\":\"5\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"5\",\"lc\":\"5\",\"mc\":\"0\",\"hc\":\"0\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672092000\",\"cet\":\"26-12-2022 23:00\",\"elev\":\"-59.94\",\"az\":\"342.42\",\"temp\":\"5\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"5\",\"lc\":\"5\",\"mc\":\"5\",\"hc\":\"0\",\"vis\":\"25000\",\"prec\":\"0\"},"
                  "{\"time\":\"1672095600\",\"cet\":\"27-12-2022 00:00\",\"elev\":\"-60.52\",\"az\":\"10.32\",\"temp\":\"5\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"8\",\"lc\":\"8\",\"mc\":\"0\",\"hc\":\"0\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672099200\",\"cet\":\"27-12-2022 01:00\",\"elev\":\"-56.90\",\"az\":\"36.08\",\"temp\":\"5\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"32\",\"lc\":\"32\",\"mc\":\"5\",\"hc\":\"18\",\"vis\":\"25000\",\"prec\":\"0.1\"},{\"time\":\"1672102800\",\"cet\":\"27-12-2022 02:00\",\"elev\":\"-50.28\",\"az\":\"56.56\",\"temp\":\"5\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"21\",\"lc\":\"21\",\"mc\":\"0\",\"hc\":\"0\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672106400\",\"cet\":\"27-12-2022 03:00\",\"elev\":\"-42.05\",\"az\":\"72.57\",\"temp\":\"5\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"27\",\"lc\":\"27\",\"mc\":\"0\",\"hc\":\"5\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672110000\",\"cet\":\"27-12-2022 04:00\",\"elev\":\"-33.10\",\"az\":\"85.81\",\"temp\":\"5\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"95\",\"lc\":\"21\",\"mc\":\"14\",\"hc\":\"95\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672113600\",\"cet\":\"27-12-2022 05:00\",\"elev\":\"-23.99\",\"az\":\"97.58\",\"temp\":\"4\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"7\",\"lc\":\"6\",\"mc\":\"5\",\"hc\":\"5\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672117200\",\"cet\":\"27-12-2022 06:00\",\"elev\":\"-15.12\",\"az\":\"108.76\",\"temp\":\"4\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"11\",\"lc\":\"5\",\"mc\":\"5\",\"hc\":\"11\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672120800\",\"cet\":\"27-12-2022 07:00\",\"elev\":\"-6.81\",\"az\":\"119.96\",\"temp\":\"3\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"5\",\"tc\":\"67\",\"lc\":\"5\",\"mc\":\"2\",\"hc\":\"67\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672124400\",\"cet\":\"27-12-2022 08:00\",\"elev\":\"0.58\",\"az\":\"131.59\",\"temp\":\"3\",\"gr_w\":\"11\",\"gr\":\"4\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"5\",\"mc\":\"5\",\"hc\":\"100\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672128000\",\"cet\":\"27-12-2022 09:00\",\"elev\":\"6.72\",\"az\":\"143.94\",\"temp\":\"4\",\"gr_w\":\"34\",\"gr\":\"12\",\"sd\":\"15\",\"tc\":\"74\",\"lc\":\"5\",\"mc\":\"23\",\"hc\":\"74\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672131600\",\"cet\":\"27-12-2022 10:00\",\"elev\":\"11.21\",\"az\":\"157.12\",\"temp\":\"5\",\"gr_w\":\"62\",\"gr\":\"22\",\"sd\":\"0\",\"tc\":\"99\",\"lc\":\"5\",\"mc\":\"99\",\"hc\":\"25\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672135200\",\"cet\":\"27-12-2022 11:00\",\"elev\":\"13.72\",\"az\":\"170.98\",\"temp\":\"5\",\"gr_w\":\"78\",\"gr\":\"28\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"5\",\"mc\":\"100\",\"hc\":\"5\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672138800\",\"cet\":\"27-12-2022 12:00\",\"elev\":\"14.03\",\"az\":\"185.16\",\"temp\":\"6\",\"gr_w\":\"139\",\"gr\":\"50\",\"sd\":\"0\",\"tc\":\"95\",\"lc\":\"5\",\"mc\":\"95\",\"hc\":\"5\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672142400\",\"cet\":\"27-12-2022 13:00\",\"elev\":\"12.11\",\"az\":\"199.15\",\"temp\":\"6\",\"gr_w\":\"125\",\"gr\":\"45\",\"sd\":\"16\",\"tc\":\"72\",\"lc\":\"5\",\"mc\":\"72\",\"hc\":\"5\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672146000\",\"cet\":\"27-12-2022 14:00\",\"elev\":\"8.13\",\"az\":\"212.54\",\"temp\":\"6\",\"gr_w\":\"102\",\"gr\":\"37\",\"sd\":\"28\",\"tc\":\"52\",\"lc\":\"52\",\"mc\":\"31\",\"hc\":\"36\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672149600\",\"cet\":\"27-12-2022 15:00\",\"elev\":\"2.41\",\"az\":\"225.12\",\"temp\":\"6\",\"gr_w\":\"77\",\"gr\":\"28\",\"sd\":\"0\",\"tc\":\"96\",\"lc\":\"34\",\"mc\":\"96\",\"hc\":\"7\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672153200\",\"cet\":\"27-12-2022 16:00\",\"elev\":\"-4.67\",\"az\":\"236.93\",\"temp\":\"6\",\"gr_w\":\"62\",\"gr\":\"22\",\"sd\":\"0\",\"tc\":\"96\",\"lc\":\"62\",\"mc\":\"96\",\"hc\":\"77\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672156800\",\"cet\":\"27-12-2022 17:00\",\"elev\":\"-12.76\",\"az\":\"248.21\",\"temp\":\"6\",\"gr_w\":\"52\",\"gr\":\"19\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"97\",\"mc\":\"100\",\"hc\":\"100\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672160400\",\"cet\":\"27-12-2022 18:00\",\"elev\":\"-21.51\",\"az\":\"259.35\",\"temp\":\"6\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"77\",\"mc\":\"100\",\"hc\":\"100\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672164000\",\"cet\":\"27-12-2022 19:00\",\"elev\":\"-30.58\",\"az\":\"270.90\",\"temp\":\"6\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"35\",\"mc\":\"100\",\"hc\":\"100\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672167600\",\"cet\":\"27-12-2022 20:00\",\"elev\":\"-39.62\",\"az\":\"283.63\",\"temp\":\"6\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"100\",\"mc\":\"100\",\"hc\":\"100\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672171200\",\"cet\":\"27-12-2022 21:00\",\"elev\":\"-48.12\",\"az\":\"298.73\",\"temp\":\"6\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"100\",\"mc\":\"100\",\"hc\":\"100\",\"vis\":\"16137\",\"prec\":\"0\"},{\"time\":\"1672174800\",\"cet\":\"27-12-2022 22:00\",\"elev\":\"-55.29\",\"az\":\"317.82\",\"temp\":\"6\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"100\",\"mc\":\"56\",\"hc\":\"5\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672178400\",\"cet\":\"27-12-2022 23:00\",\"elev\":\"-59.87\",\"az\":\"342.22\",\"temp\":\"6\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"100\",\"mc\":\"0\",\"hc\":\"39\",\"vis\":\"25000\",\"prec\":\"0\"},"
                  "{\"time\":\"1672182000\",\"cet\":\"28-12-2022 00:00\",\"elev\":\"-60.49\",\"az\":\"10.08\",\"temp\":\"6\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"100\",\"mc\":\"5\",\"hc\":\"50\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672185600\",\"cet\":\"28-12-2022 01:00\",\"elev\":\"-56.90\",\"az\":\"35.86\",\"temp\":\"7\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"100\",\"mc\":\"76\",\"hc\":\"97\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672189200\",\"cet\":\"28-12-2022 02:00\",\"elev\":\"-50.31\",\"az\":\"56.37\",\"temp\":\"7\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"100\",\"mc\":\"56\",\"hc\":\"100\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672192800\",\"cet\":\"28-12-2022 03:00\",\"elev\":\"-42.08\",\"az\":\"72.41\",\"temp\":\"7\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"100\",\"mc\":\"5\",\"hc\":\"100\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672196400\",\"cet\":\"28-12-2022 04:00\",\"elev\":\"-33.14\",\"az\":\"85.67\",\"temp\":\"7\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"100\",\"mc\":\"100\",\"hc\":\"100\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672200000\",\"cet\":\"28-12-2022 05:00\",\"elev\":\"-24.03\",\"az\":\"97.45\",\"temp\":\"7\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"100\",\"mc\":\"99\",\"hc\":\"100\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672203600\",\"cet\":\"28-12-2022 06:00\",\"elev\":\"-15.15\",\"az\":\"108.64\",\"temp\":\"7\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"100\",\"mc\":\"97\",\"hc\":\"100\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672207200\",\"cet\":\"28-12-2022 07:00\",\"elev\":\"-6.84\",\"az\":\"119.84\",\"temp\":\"7\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"100\",\"mc\":\"80\",\"hc\":\"100\",\"vis\":\"21835\",\"prec\":\"0\"},{\"time\":\"1672210800\",\"cet\":\"28-12-2022 08:00\",\"elev\":\"0.57\",\"az\":\"131.47\",\"temp\":\"7\",\"gr_w\":\"1\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"100\",\"mc\":\"99\",\"hc\":\"100\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672214400\",\"cet\":\"28-12-2022 09:00\",\"elev\":\"6.72\",\"az\":\"143.82\",\"temp\":\"8\",\"gr_w\":\"3\",\"gr\":\"1\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"100\",\"mc\":\"56\",\"hc\":\"100\",\"vis\":\"23185\",\"prec\":\"0\"},{\"time\":\"1672218000\",\"cet\":\"28-12-2022 10:00\",\"elev\":\"11.22\",\"az\":\"156.99\",\"temp\":\"8\",\"gr_w\":\"4\",\"gr\":\"1\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"100\",\"mc\":\"99\",\"hc\":\"100\",\"vis\":\"20660\",\"prec\":\"0\"},{\"time\":\"1672221600\",\"cet\":\"28-12-2022 11:00\",\"elev\":\"13.75\",\"az\":\"170.86\",\"temp\":\"8\",\"gr_w\":\"5\",\"gr\":\"2\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"100\",\"mc\":\"92\",\"hc\":\"100\",\"vis\":\"23983\",\"prec\":\"0\"},{\"time\":\"1672225200\",\"cet\":\"28-12-2022 12:00\",\"elev\":\"14.08\",\"az\":\"185.04\",\"temp\":\"8\",\"gr_w\":\"9\",\"gr\":\"3\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"89\",\"mc\":\"100\",\"hc\":\"100\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672228800\",\"cet\":\"28-12-2022 13:00\",\"elev\":\"12.18\",\"az\":\"199.05\",\"temp\":\"8\",\"gr_w\":\"33\",\"gr\":\"12\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"100\",\"mc\":\"100\",\"hc\":\"100\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672232400\",\"cet\":\"28-12-2022 14:00\",\"elev\":\"8.21\",\"az\":\"212.45\",\"temp\":\"8\",\"gr_w\":\"31\",\"gr\":\"11\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"100\",\"mc\":\"100\",\"hc\":\"100\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672236000\",\"cet\":\"28-12-2022 15:00\",\"elev\":\"2.51\",\"az\":\"225.05\",\"temp\":\"8\",\"gr_w\":\"24\",\"gr\":\"9\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"100\",\"mc\":\"100\",\"hc\":\"100\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672239600\",\"cet\":\"28-12-2022 16:00\",\"elev\":\"-4.57\",\"az\":\"236.87\",\"temp\":\"8\",\"gr_w\":\"19\",\"gr\":\"7\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"100\",\"mc\":\"100\",\"hc\":\"94\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672243200\",\"cet\":\"28-12-2022 17:00\",\"elev\":\"-12.65\",\"az\":\"248.15\",\"temp\":\"8\",\"gr_w\":\"16\",\"gr\":\"6\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"100\",\"mc\":\"100\",\"hc\":\"100\",\"vis\":\"21383\",\"prec\":\"0\"},{\"time\":\"1672246800\",\"cet\":\"28-12-2022 18:00\",\"elev\":\"-21.40\",\"az\":\"259.29\",\"temp\":\"8\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"100\",\"mc\":\"97\",\"hc\":\"100\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672250400\",\"cet\":\"28-12-2022 19:00\",\"elev\":\"-30.47\",\"az\":\"270.84\",\"temp\":\"8\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"100\",\"mc\":\"1\",\"hc\":\"100\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672254000\",\"cet\":\"28-12-2022 20:00\",\"elev\":\"-39.51\",\"az\":\"283.56\",\"temp\":\"9\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"100\",\"mc\":\"79\",\"hc\":\"100\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672257600\",\"cet\":\"28-12-2022 21:00\",\"elev\":\"-48.01\",\"az\":\"298.64\",\"temp\":\"9\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"100\",\"mc\":\"5\",\"hc\":\"81\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672261200\",\"cet\":\"28-12-2022 22:00\",\"elev\":\"-55.19\",\"az\":\"317.68\",\"temp\":\"9\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"100\",\"mc\":\"96\",\"hc\":\"100\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672264800\",\"cet\":\"28-12-2022 23:00\",\"elev\":\"-59.80\",\"az\":\"342.02\",\"temp\":\"9\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"100\",\"mc\":\"100\",\"hc\":\"100\",\"vis\":\"25000\",\"prec\":\"0\"},"
                  "{\"time\":\"1672268400\",\"cet\":\"29-12-2022 00:00\",\"elev\":\"-60.45\",\"az\":\"9.85\",\"temp\":\"10\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"100\",\"mc\":\"99\",\"hc\":\"100\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672272000\",\"cet\":\"29-12-2022 01:00\",\"elev\":\"-56.90\",\"az\":\"35.63\",\"temp\":\"10\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"100\",\"mc\":\"100\",\"hc\":\"100\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672275600\",\"cet\":\"29-12-2022 02:00\",\"elev\":\"-50.33\",\"az\":\"56.18\",\"temp\":\"10\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"100\",\"mc\":\"100\",\"hc\":\"83\",\"vis\":\"19606\",\"prec\":\"0\"},{\"time\":\"1672279200\",\"cet\":\"29-12-2022 03:00\",\"elev\":\"-42.11\",\"az\":\"72.25\",\"temp\":\"10\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"100\",\"mc\":\"100\",\"hc\":\"100\",\"vis\":\"22307\",\"prec\":\"0.1\"},{\"time\":\"1672282800\",\"cet\":\"29-12-2022 04:00\",\"elev\":\"-33.17\",\"az\":\"85.53\",\"temp\":\"10\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"70\",\"mc\":\"100\",\"hc\":\"27\",\"vis\":\"25000\",\"prec\":\"0.1\"},{\"time\":\"1672286400\",\"cet\":\"29-12-2022 05:00\",\"elev\":\"-24.06\",\"az\":\"97.32\",\"temp\":\"10\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"38\",\"mc\":\"100\",\"hc\":\"90\",\"vis\":\"22387\",\"prec\":\"0.1\"},{\"time\":\"1672290000\",\"cet\":\"29-12-2022 06:00\",\"elev\":\"-15.18\",\"az\":\"108.52\",\"temp\":\"10\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"23\",\"mc\":\"94\",\"hc\":\"100\",\"vis\":\"22923\",\"prec\":\"0\"},{\"time\":\"1672293600\",\"cet\":\"29-12-2022 07:00\",\"elev\":\"-6.86\",\"az\":\"119.71\",\"temp\":\"10\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"53\",\"mc\":\"99\",\"hc\":\"100\",\"vis\":\"25000\",\"prec\":\"0.1\"},{\"time\":\"1672297200\",\"cet\":\"29-12-2022 08:00\",\"elev\":\"0.56\",\"az\":\"131.34\",\"temp\":\"10\",\"gr_w\":\"7\",\"gr\":\"3\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"96\",\"mc\":\"100\",\"hc\":\"92\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672300800\",\"cet\":\"29-12-2022 09:00\",\"elev\":\"6.72\",\"az\":\"143.69\",\"temp\":\"10\",\"gr_w\":\"20\",\"gr\":\"7\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"78\",\"mc\":\"100\",\"hc\":\"86\",\"vis\":\"25000\",\"prec\":\"0.1\"},{\"time\":\"1672304400\",\"cet\":\"29-12-2022 10:00\",\"elev\":\"11.25\",\"az\":\"156.87\",\"temp\":\"10\",\"gr_w\":\"37\",\"gr\":\"13\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"83\",\"mc\":\"100\",\"hc\":\"50\",\"vis\":\"21810\",\"prec\":\"0.2\"},{\"time\":\"1672308000\",\"cet\":\"29-12-2022 11:00\",\"elev\":\"13.80\",\"az\":\"170.74\",\"temp\":\"10\",\"gr_w\":\"47\",\"gr\":\"17\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"77\",\"mc\":\"100\",\"hc\":\"100\",\"vis\":\"25000\",\"prec\":\"0.1\"},{\"time\":\"1672311600\",\"cet\":\"29-12-2022 12:00\",\"elev\":\"14.14\",\"az\":\"184.93\",\"temp\":\"10\",\"gr_w\":\"67\",\"gr\":\"24\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"97\",\"mc\":\"100\",\"hc\":\"100\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672315200\",\"cet\":\"29-12-2022 13:00\",\"elev\":\"12.26\",\"az\":\"198.95\",\"temp\":\"10\",\"gr_w\":\"54\",\"gr\":\"19\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"100\",\"mc\":\"98\",\"hc\":\"54\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672318800\",\"cet\":\"29-12-2022 14:00\",\"elev\":\"8.31\",\"az\":\"212.37\",\"temp\":\"10\",\"gr_w\":\"44\",\"gr\":\"16\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"100\",\"mc\":\"98\",\"hc\":\"100\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672322400\",\"cet\":\"29-12-2022 15:00\",\"elev\":\"2.61\",\"az\":\"224.97\",\"temp\":\"10\",\"gr_w\":\"33\",\"gr\":\"12\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"98\",\"mc\":\"100\",\"hc\":\"100\",\"vis\":\"25000\",\"prec\":\"0.2\"},{\"time\":\"1672326000\",\"cet\":\"29-12-2022 16:00\",\"elev\":\"-4.46\",\"az\":\"236.80\",\"temp\":\"10\",\"gr_w\":\"27\",\"gr\":\"10\",\"sd\":\"0\",\"tc\":\"67\",\"lc\":\"48\",\"mc\":\"46\",\"hc\":\"53\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672329600\",\"cet\":\"29-12-2022 17:00\",\"elev\":\"-12.54\",\"az\":\"248.10\",\"temp\":\"9\",\"gr_w\":\"22\",\"gr\":\"8\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"85\",\"mc\":\"100\",\"hc\":\"100\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672333200\",\"cet\":\"29-12-2022 18:00\",\"elev\":\"-21.28\",\"az\":\"259.24\",\"temp\":\"9\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"94\",\"mc\":\"100\",\"hc\":\"0\",\"vis\":\"25000\",\"prec\":\"0.1\"},{\"time\":\"1672336800\",\"cet\":\"29-12-2022 19:00\",\"elev\":\"-30.36\",\"az\":\"270.78\",\"temp\":\"9\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"48\",\"mc\":\"100\",\"hc\":\"0\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672340400\",\"cet\":\"29-12-2022 20:00\",\"elev\":\"-39.39\",\"az\":\"283.50\",\"temp\":\"9\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"19\",\"lc\":\"19\",\"mc\":\"4\",\"hc\":\"0\",\"vis\":\"25000\",\"prec\":\"0.2\"},{\"time\":\"1672344000\",\"cet\":\"29-12-2022 21:00\",\"elev\":\"-47.90\",\"az\":\"298.55\",\"temp\":\"8\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"38\",\"lc\":\"38\",\"mc\":\"0\",\"hc\":\"0\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672347600\",\"cet\":\"29-12-2022 22:00\",\"elev\":\"-55.09\",\"az\":\"317.55\",\"temp\":\"8\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"11\",\"lc\":\"9\",\"mc\":\"0\",\"hc\":\"9\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672351200\",\"cet\":\"29-12-2022 23:00\",\"elev\":\"-59.72\",\"az\":\"341.83\",\"temp\":\"7\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"58\",\"lc\":\"56\",\"mc\":\"4\",\"hc\":\"44\",\"vis\":\"25000\",\"prec\":\"0\"},"
                  "{\"time\":\"1672354800\",\"cet\":\"30-12-2022 00:00\",\"elev\":\"-60.40\",\"az\":\"9.61\",\"temp\":\"7\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"88\",\"lc\":\"56\",\"mc\":\"1\",\"hc\":\"88\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672358400\",\"cet\":\"30-12-2022 01:00\",\"elev\":\"-56.88\",\"az\":\"35.40\",\"temp\":\"7\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"65\",\"mc\":\"18\",\"hc\":\"100\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672362000\",\"cet\":\"30-12-2022 02:00\",\"elev\":\"-50.34\",\"az\":\"55.98\",\"temp\":\"7\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"0\",\"mc\":\"100\",\"hc\":\"100\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672365600\",\"cet\":\"30-12-2022 03:00\",\"elev\":\"-42.14\",\"az\":\"72.08\",\"temp\":\"7\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"0\",\"mc\":\"100\",\"hc\":\"100\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672369200\",\"cet\":\"30-12-2022 04:00\",\"elev\":\"-33.20\",\"az\":\"85.38\",\"temp\":\"7\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"5\",\"mc\":\"100\",\"hc\":\"100\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672372800\",\"cet\":\"30-12-2022 05:00\",\"elev\":\"-24.09\",\"az\":\"97.19\",\"temp\":\"7\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"10\",\"mc\":\"100\",\"hc\":\"100\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672376400\",\"cet\":\"30-12-2022 06:00\",\"elev\":\"-15.20\",\"az\":\"108.39\",\"temp\":\"7\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"100\",\"mc\":\"100\",\"hc\":\"100\",\"vis\":\"23418\",\"prec\":\"0\"},{\"time\":\"1672380000\",\"cet\":\"30-12-2022 07:00\",\"elev\":\"-6.87\",\"az\":\"119.59\",\"temp\":\"7\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"52\",\"mc\":\"100\",\"hc\":\"100\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672383600\",\"cet\":\"30-12-2022 08:00\",\"elev\":\"0.56\",\"az\":\"131.22\",\"temp\":\"8\",\"gr_w\":\"7\",\"gr\":\"3\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"100\",\"mc\":\"100\",\"hc\":\"100\",\"vis\":\"19820\",\"prec\":\"0\"},{\"time\":\"1672387200\",\"cet\":\"30-12-2022 09:00\",\"elev\":\"6.74\",\"az\":\"143.57\",\"temp\":\"8\",\"gr_w\":\"6\",\"gr\":\"2\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"100\",\"mc\":\"54\",\"hc\":\"100\",\"vis\":\"20249\",\"prec\":\"0\"},{\"time\":\"1672390800\",\"cet\":\"30-12-2022 10:00\",\"elev\":\"11.28\",\"az\":\"156.74\",\"temp\":\"9\",\"gr_w\":\"14\",\"gr\":\"5\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"65\",\"mc\":\"23\",\"hc\":\"100\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672394400\",\"cet\":\"30-12-2022 11:00\",\"elev\":\"13.85\",\"az\":\"170.62\",\"temp\":\"9\",\"gr_w\":\"36\",\"gr\":\"13\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"52\",\"mc\":\"96\",\"hc\":\"100\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672398000\",\"cet\":\"30-12-2022 12:00\",\"elev\":\"14.21\",\"az\":\"184.82\",\"temp\":\"9\",\"gr_w\":\"127\",\"gr\":\"46\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"69\",\"mc\":\"100\",\"hc\":\"100\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672401600\",\"cet\":\"30-12-2022 13:00\",\"elev\":\"12.34\",\"az\":\"198.85\",\"temp\":\"8\",\"gr_w\":\"98\",\"gr\":\"35\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"100\",\"mc\":\"100\",\"hc\":\"100\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672405200\",\"cet\":\"30-12-2022 14:00\",\"elev\":\"8.41\",\"az\":\"212.29\",\"temp\":\"8\",\"gr_w\":\"73\",\"gr\":\"26\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"100\",\"mc\":\"89\",\"hc\":\"100\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672408800\",\"cet\":\"30-12-2022 15:00\",\"elev\":\"2.72\",\"az\":\"224.90\",\"temp\":\"8\",\"gr_w\":\"55\",\"gr\":\"20\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"100\",\"mc\":\"98\",\"hc\":\"100\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672412400\",\"cet\":\"30-12-2022 16:00\",\"elev\":\"-4.35\",\"az\":\"236.75\",\"temp\":\"8\",\"gr_w\":\"44\",\"gr\":\"16\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"100\",\"mc\":\"100\",\"hc\":\"100\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672416000\",\"cet\":\"30-12-2022 17:00\",\"elev\":\"-12.42\",\"az\":\"248.05\",\"temp\":\"8\",\"gr_w\":\"37\",\"gr\":\"13\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"100\",\"mc\":\"100\",\"hc\":\"94\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672419600\",\"cet\":\"30-12-2022 18:00\",\"elev\":\"-21.16\",\"az\":\"259.20\",\"temp\":\"8\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"100\",\"mc\":\"99\",\"hc\":\"89\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672423200\",\"cet\":\"30-12-2022 19:00\",\"elev\":\"-30.23\",\"az\":\"270.74\",\"temp\":\"9\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"100\",\"mc\":\"99\",\"hc\":\"34\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672426800\",\"cet\":\"30-12-2022 20:00\",\"elev\":\"-39.27\",\"az\":\"283.45\",\"temp\":\"10\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"100\",\"mc\":\"64\",\"hc\":\"95\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672430400\",\"cet\":\"30-12-2022 21:00\",\"elev\":\"-47.78\",\"az\":\"298.47\",\"temp\":\"10\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"100\",\"mc\":\"88\",\"hc\":\"100\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672434000\",\"cet\":\"30-12-2022 22:00\",\"elev\":\"-54.98\",\"az\":\"317.43\",\"temp\":\"11\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"49\",\"mc\":\"97\",\"hc\":\"100\",\"vis\":\"25000\",\"prec\":\"0\"},{\"time\":\"1672437600\",\"cet\":\"30-12-2022 23:00\",\"elev\":\"-59.63\",\"az\":\"341.64\",\"temp\":\"11\",\"gr_w\":\"0\",\"gr\":\"0\",\"sd\":\"0\",\"tc\":\"100\",\"lc\":\"96\",\"mc\":\"33\",\"hc\":\"100\",\"vis\":\"25000\",\"prec\":\"0\"}]}";
  #endif

  enum {s_elev, s_az, s_temp, s_gr_w, s_gr, s_sd, s_tc, s_lc, s_mc, s_hc, s_vis, s_prec};
  enum {vandaag, morgen};
  String
    weer[morgen + 1][s_prec + 1][24],  // opslaan als string, bij gebruik zelf zonodig omzetten naar type
    solar[morgen + 1] = { "", "" };  // buffers voor de gegevens van de meteo server
  time_t
    startTijd = 0,  // opgehaald om JJJJMMDDhhmmss UNIX timestamp (of gebruik mijn simpleLib-sDateTimeSun.h)
    zonOpOn[2] = {0, 0};  // zon-op/onder in seconden van vandaag (of gebruik mijn simpleLib-sDateTimeSun.h)
  uint8_t vanaf;  // startuur vandaag 
  bool meteoInfo;
  
  bool decodeMeteo(bool showInfo = false);  // showInfo: info to monitor
  bool meteoServer();  
  void stripSolar();  // strip overbodige gegevens

  bool decodeMeteo(bool showInfo) {  // showInfo: info to monitor
    meteoInfo = showInfo;
    const String zoek[s_prec + 1] = { "elev\":\"", "az\":\"", "temp\":\"", "gr_w\":\"", "gr\":\"", "sd\":\"", "tc\":\"", "lc\":\"", "mc\":\"", "hc\":\"", "vis\":\"", "prec\":\"" };
    bool f = true;
    uint8_t i, j;              // i/j: algemeen, vanaf:uur actueel
    int16_t ptr, ptrV = 0, ptrM = 0;  // zoek pointers - V:vandaag, M: morgen
    uint16_t lenI = 0, lenW = 0;      // zoek lengtes - I:naam, W:waarde
    f = meteoServer();  // gegevens ophalen
    if (f) {
      if (solar[morgen].lastIndexOf("forecast") == -1) f = false;  // er is iets fout gegaan
      else {  // gegeven verwachtingen vandaag en morgen uitpluizen
        stripSolar();
        // vandaag UNIX timestamp inlees tijd
        i = solar[vandaag].indexOf("time\":\"") + 7;
        startTijd = solar[vandaag].substring(i, i + 10).toInt();
        if (meteoInfo) Serial.printf("startTijd: %u\n", startTijd);
        // start-uur om van de vandaag lijst (00->23 uur)
        i = solar[vandaag].indexOf("cet\":\"") + 17;
        vanaf = solar[vandaag].substring(i, i + 2).toInt();
        if (meteoInfo) Serial.printf("vandaag vanaf: %u\n", vanaf);
        // vandaag zon op
        i = solar[vandaag].indexOf("sr\":\"") + 5;
        zonOpOn[0] = solar[vandaag].substring(i, i + 2).toInt() * sOnehour;
        zonOpOn[0] += solar[vandaag].substring(i + 3, i + 5).toInt() * sOneminute;
        if (meteoInfo) Serial.printf("vandaag zon op: %02u:%02u\n", hour(zonOpOn[0]), minute(zonOpOn[0]));
        // vandaag zon onder
        i = solar[vandaag].indexOf("ss\":\"") + 5;
        zonOpOn[1] = solar[vandaag].substring(i, i + 2).toInt() * sOnehour;
        zonOpOn[1] += solar[vandaag].substring(i + 3, i + 5).toInt() * sOneminute;
        if (meteoInfo) Serial.printf("vandaag zon op: %02u:%02u\n", hour(zonOpOn[1]), minute(zonOpOn[1]));
        // lijst vandaag en morgen vullen
        for (i = s_elev; i <= s_prec; i++) {
          lenI = zoek[i].length();
          ptrV = ptrM = 0;
          for (j = 0; j <= 23; j++) {  // 00:00 t/m 23:00 uur
            if (j >= vanaf) {
              if (j == vanaf && i >= s_lc && i <= s_hc) weer[vandaag][i][j] = "-";
              else {
                ptr = solar[vandaag].indexOf(zoek[i], ptrV);
                if (ptr > 0) {
                  ptrV = ptr + lenI;
                  lenW = solar[vandaag].indexOf("\"", ptrV);
                  weer[vandaag][i][j] = solar[vandaag].substring(ptrV, lenW);
                  ptrV = lenW;
                } else weer[vandaag][i][j] = "-";
              }
            }
            ptr = solar[morgen].indexOf(zoek[i], ptrM);
            if (ptr > 0) {
              ptrM = ptr + lenI;
              lenW = solar[morgen].indexOf("\"", ptrM);
              weer[morgen][i][j] = solar[morgen].substring(ptrM, lenW);
              ptrM = lenW;
            } else weer[morgen][i][j] = "-";
            Serial.printf("waarde/uur %02u/%02u, item: %7s vandaag: %7s, morgen: %7s \n", i, j, zoek[i].c_str(), weer[vandaag][i][j].c_str(), weer[morgen][i][j].c_str());
          }
        }
      }
    }
    return f;
  }    

  bool meteoServer() {
    bool f = true;
    #ifdef USE_TEST_STRING
      solar[morgen] = testMETEO;
    #else
      String url = "https://data.meteoserver.nl/api/solar.php?" + meteoLatLonKey;
      if (meteoInfo) Serial.println(url);
      if (!WiFi.isConnected()) {
        WiFi.begin();
        delay(500);
      }
      HTTPClient http;
      http.begin(url);
      int httpCode = http.GET();
      if (httpCode > 0) solar[morgen] = http.getString();
      else f = false;
      http.end();
    #endif
    return f;
  }    

  void stripSolar() {
    uint16_t p0, p1, p2;
    p0 = solar[morgen].indexOf("time");
    p1 = solar[morgen].indexOf("forecast");
    p1 = solar[morgen].indexOf(" 00:00\",\"elev", p1);
    p2 = solar[morgen].indexOf(" 23:00\",\"elev", p1);
    p2 = solar[morgen].indexOf("time\":", p2);
    solar[vandaag] = solar[morgen].substring(p0, p1 - 39);
    solar[morgen] = solar[morgen].substring(p1 - 36, p2 - 3);
    if (meteoInfo) {
      Serial.printf("solar[vandaag]: %s\n", solar[vandaag].c_str());
      Serial.printf("solar[morgen]: %s\n", solar[morgen].c_str());
    }
  }
#endif